#
Summary: Adds standard shell at RL 1 entries in /etc/inittab
Name: zz_inittab_change
Version: 1.0
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Dan Yocum
requires: initscripts
%description
This package will add an entry in /etc/inittab to only allow root access via
password when a machine is booted into single user mode.

The original file will be saved as /etc/inittab.rpmsave.  
%files
%post

grep sulogin /etc/inittab > /dev/null
if [ $? = 1 ]
then

mv /etc/inittab /etc/inittab.rpmsave

cat /etc/inittab.rpmsave | sed '/si::sysinit:\/etc\/rc.d\/rc.sysinit/a\
\
# Standard shell at runlevel 1\
~~:S:wait:/sbin/sulogin\
\ ' > /etc/inittab
fi 
%postun

if [ -f /etc/inittab -a -f /etc/inittab.rpmsave ]
then
	mv -f /etc/inittab.rpmsave /etc/inittab
fi
